All add-ons currently require PHP 7.4 or greater.

On July 4th 2024 PHP 8.2 will be the new minimum requirement for all add-ons. Expect any add-on released after that date to require 8.2 or greater. Some releases may not immediately take advantage of 8.x specific features in PHP, which means you might, be able to continue using new releases in PHP 7.4, however, if you experience an error the first thing you should do is update to PHP 8.2 then create a support ticket if the error persists.

Publisher does not support the Fluid field type. Please do not contact asking when support will be available.

If you purchased an add-on from expressionengine.com, be sure to visit boldminded.com/claim to add the license to your account here on boldminded.com.

Ticket: No email for “Send for approval”

Status Resolved
Add-on / Version Publisher
Severity Critical
EE Version 24

Oli

Apr 24, 2013

I don’t seem to be getting any email notifications if an entry is submitted for approval? I have testing sending an email via CP which works fine.

#1

BoldMinded (Brian)

I see the issue, will try to get a patch out in a day or two.

#2

BoldMinded (Brian)

Actually, are you sure you have an email address in the Approval email list setting?

#3

BoldMinded (Brian)

in libraries/Publisher_email.php you should see this on line 83

// Publisher_log::message(ee()->email->print_debugger());

change it to

var_dump($data); ee()->email->print_debugger(); die;

And then send an approval and paste the debug results here or email them to me.

#4

Oli

array(14) { [“label”]=> string(18) “Send for approval?” [“subject”]=> string(28) “Entry submitted for approval” [“template”]=> string(260) “Oli Ker (oliver@olik.co.uk) has submitted the entry “The Purpose of This Manual” for Publishing on 04/25/2013 09:20am. View Entry” [“deny_template”]=> string(136) “{screen_name} ({email}) will be notified that this draft approval has been denied. Please provide a reason and requested changes.” [“to”]=> string(17) “oliver@olik.co.uk” [“reply_to”]=> string(0) “” [“reply_name”]=> string(0) “” [“member_id”]=> int(3) [“title”]=> string(26) “The Purpose of This Manual” [“date”]=> string(18) “04/25/2013 09:20am” [“channel_title”]=> string(7) “Article” [“link”]=> string(115) “http://pizzaexpress:8888/system/index.php?D=cp&C=content_publish&M=entry_form&channel_id=1&entry_id=39&status=draft” [“member_name”]=> string(7) “Oli Ker” [“member_email”]=> string(17) “oliver@olik.co.uk” }

#5

BoldMinded (Brian)

Oh, sorry. Do that again but add echo in front of the debugger part:

var_dump($data); echo ee()->email->print_debugger(); die;

#6

Oli

array(14) { [“label”]=> string(18) “Send for approval?” [“subject”]=> string(28) “Entry submitted for approval” [“template”]=> string(242) “Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual” for Publishing on 04/25/2013 01:34pm. View Entry” [“deny_template”]=> string(136) “{screen_name} ({email}) will be notified that this draft approval has been denied. Please provide a reason and requested changes.” [“to”]=> string(17) “oliver@olik.co.uk” [“reply_to”]=> string(0) “” [“reply_name”]=> string(0) “” [“member_id”]=> int(3) [“title”]=> string(22) “How To Use This Manual” [“date”]=> string(18) “04/25/2013 01:34pm” [“channel_title”]=> string(7) “Article” [“link”]=> string(101) “http://pizzaexpress:8888/system/index.php?D=cp&C=content_publish&M=entry_form&channel_id=0&entry_id=0” [“member_name”]=> string(7) “Oli Ker” [“member_email”]=> string(17) “oliver@olik.co.uk” } Unable to send email using PHP mail(). Your server might not be configured to send mail using this method. User-Agent: ExpressionEngine 2.5.5 Date: Thu, 25 Apr 2013 13:34:56 +0100 From: <> Return-Path: <> Reply-To: “” <> X-Mailer: ExpressionEngine 2.5.5 X-Priority: 3 (Normal) Message-ID: <517922f0d3759> Mime-Version: 1.0 Content-Type: multipart/alternative; boundary=”B_ALT_517922f0d3784”

Entry submitted for approval This is a multi-part message in MIME format. Your email application may not support this format.

–B_ALT_517922f0d3784 Content-Type: text/plain; charset=utf-8 Content-Transfer-Encoding: 8bit

Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual” for Publishing on 04/25/2013 01:34pm.

View Entry

–B_ALT_517922f0d3784 Content-Type: text/html; charset=utf-8 Content-Transfer-Encoding: quoted-printable

Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual= ” for Publishing on 04/25/2013 01:34pm.

<a >View Entry</a>

–B_ALT_517922f0d3784–

#7

BoldMinded (Brian)

And you used the Tools > Communicate page to send test emails and they sent?

#8

Oli

yes, worked fine

#9

BoldMinded (Brian)

Oli, in the same file, just above that var dump can you change the two conditionals to this?

if ( ! isset($data['reply_to']) OR $data['reply_to'] == '')
        {
            $data['reply_to'] = ee()->config->item('webmaster_email');
        }

        if ( ! isset($data['reply_name']) OR $data['reply_name'] == '')
        {
            $data['reply_name'] = ee()->config->item('webmaster_name');
        }

I wonder if its because the “from” value is empty (which is populated by the reply_to value in that array.

#10

Oli

Still getting this…

array(14) { [“label”]=> string(18) “Send for approval?” [“subject”]=> string(28) “Entry submitted for approval” [“template”]=> string(261) “Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual” for Publishing on 04/25/2013 03:06pm. View Entry” [“deny_template”]=> string(136) “{screen_name} ({email}) will be notified that this draft approval has been denied. Please provide a reason and requested changes.” [“to”]=> string(17) “oliver@olik.co.uk” [“reply_to”]=> string(22) “design@oliverker.co.uk” [“reply_name”]=> string(0) “” [“member_id”]=> int(3) [“title”]=> string(22) “How To Use This Manual” [“date”]=> string(18) “04/25/2013 03:06pm” [“channel_title”]=> string(7) “Article” [“link”]=> string(120) “http://peway.pizzaexpress.com/system/index.php?D=cp&C=content_publish&M=entry_form&channel_id=1&entry_id=39&status=draft” [“member_name”]=> string(7) “Oli Ker” [“member_email”]=> string(17) “oliver@olik.co.uk” } Unable to send email using PHP mail(). Your server might not be configured to send mail using this method. User-Agent: ExpressionEngine 2.5.5 Date: Thu, 25 Apr 2013 15:06:17 +0100 From: <> Return-Path: <> Reply-To: “” <> X-Mailer: ExpressionEngine 2.5.5 X-Priority: 3 (Normal) Message-ID: <5179385a67d31> Mime-Version: 1.0 Content-Type: multipart/alternative; boundary=”B_ALT_5179385a67db5”

Entry submitted for approval This is a multi-part message in MIME format. Your email application may not support this format.

–B_ALT_5179385a67db5 Content-Type: text/plain; charset=utf-8 Content-Transfer-Encoding: 8bit

Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual” for Publishing on 04/25/2013 03:06pm.

View Entry

–B_ALT_5179385a67db5 Content-Type: text/html; charset=utf-8 Content-Transfer-Encoding: quoted-printable

Oli Ker (oliver@olik.co.uk) has submitted the entry “How To Use This Manual= ” for Publishing on 04/25/2013 03:06pm.

<a >View = Entry</a>

–B_ALT_5179385a67db5–

#11

BoldMinded (Brian)

Are you on a Linux or Windows server?

#12

Oli

Linux

#13

Brian Litzinger

Oli, I’ll be looking into this more this weekend, sorry for the delay.

#14

BoldMinded (Brian)

Oli, the account you gave me doesn’t have permissions for the Publisher module or settings page. I did some tests locally, and as soon as I entered an address into this field it worked for me.

https://www.evernote.com/shard/s9/sh/1009eef8-dcc5-49f8-b981-d1423286f05c/03d30ff5f85e0aa41a76cb6f18cb31fd

#15

Oli

Still not working, so does the person editing the article need to access the settings of publisher?? I have given them access in the CP - not sure why it isn’t working if you say yours is. I will test and reply later

#16

Oli

I’ve added a ‘reply-to’ email and seems to be working now?

#17

Oli

Also just tried sending to multiple emails, but only sent to the last email on the list I entered

#18

BoldMinded (Brian)

Ok, open up the libraries/Publisher_email.php file and replace the send() function with this:

public function send($data)
    {
        $addresses = explode("\n", $data['to']);
        $to = array();

        foreach ($addresses as $to)
        {
            $to[] = trim($to);
        }

        if ( ! isset($data['reply_to']) OR $data['reply_to'] == '')
        {
            $data['reply_to'] = ee()->config->item('webmaster_email');
        }

        if ( ! isset($data['reply_name']) OR $data['reply_name'] == '')
        {
            $data['reply_name'] = ee()->config->item('webmaster_name');
        }

        $subject = $this->_parse_template($data['subject'], $data);
        $message = $this->_parse_template($data['template'], $data);

        ee()->email->to($to);
        ee()->email->from($data['reply_to'], $data['reply_name']);
        ee()->email->subject($subject);
        ee()->email->message($message);
        ee()->email->set_alt_message(strip_tags($message));
        ee()->email->send();

        // Publisher_log::message(ee()->email->print_debugger());
        // var_dump($data); echo ee()->email->print_debugger(); die;
    }
#19

BoldMinded (Brian)

Fixed for the next release

#20

Oli

Hi,

I’ve just got round to trying the previous code, but gives me a blank screen after saving for approval,

any news on the update as need to be sending emails to multiple address.

Cheers

#21

BoldMinded (Brian)

Can you please set $config[‘debug’] = 2; and $debug = 1; then show me what error message you’re seeing.

#22

Brian Litzinger

Oli, I made several changes to the approval emails in 0.98.8, so upgrade and if the issue still exists just open a new ticket. Thanks!

Login to reply